import type { DatasourceApi, GetPkgReleasesConfig, ReleaseResult } from './types';
export declare function getDatasourceFor(datasource: string): DatasourceApi | null;
export declare function getDefaultVersioning(datasourceName: string | undefined): string;
export declare function isGetPkgReleasesConfig(input: unknown): input is GetPkgReleasesConfig;
export declare function applyExtractVersion<Config extends Pick<GetPkgReleasesConfig, 'extractVersion'>>(config: Config, releaseResult: ReleaseResult): ReleaseResult;
export declare function filterValidVersions<Config extends Pick<GetPkgReleasesConfig, 'versioning' | 'datasource'>>(config: Config, releaseResult: ReleaseResult): ReleaseResult;
export declare function sortAndRemoveDuplicates<Config extends Pick<GetPkgReleasesConfig, 'versioning' | 'datasource'>>(config: Config, releaseResult: ReleaseResult): ReleaseResult;
export declare function applyConstraintsFiltering<Config extends Pick<GetPkgReleasesConfig, 'constraintsFiltering' | 'versioning' | 'datasource' | 'constraints' | 'packageName'>>(config: Config, releaseResult: ReleaseResult): ReleaseResult;
